package com.nifty.cloud.ncs;

/**
 * ニフクラクライアント内で発生する例外クラスです。
 *
 * @see NiftyCloudServiceException
 */
public class NiftyCloudClientException extends RuntimeException
{

	private static final long serialVersionUID = 8133590577158936426L;


	/**
	 * 指定したメッセージを使用してNiftyCloudClientExceptionを生成します。
	 *
	 * @param message
	 * 			例外発生理由
	 */
	public NiftyCloudClientException(String message)
	{
		super(message);
	}

	/**
	 * 指定されたメッセージ、およびエラー原因を使用して新しいNiftyCloudClientExceptionを生成します。
	 *
	 * @param message
	 * 			例外発生理由
	 *
	 * @param t
	 * 			例外の根本原因
	 */
	public NiftyCloudClientException(String message, Throwable t)
	{
		super(message, t);
	}
}
